"Compatibility" for devices and services can be a real challenge. But here at CONXTD, we have tried to be as inclusive to your requirements as possible. 

See below for the list of devices and browsers our latest CONXTD Platform can connect to:

Browser-Type:

Google Chrome: Version 49.
Back-Compatibility: March 2016

Firefox: Version 44
Back-Compatibility: January 2016

Microsoft Edge: Version 39
Back Compatibility: December 2016

* Unfortunately, the CONXTD Platform is not compatible with Internet Explorer. We apologise for the inconvenience caused, and are here to talk you through the alternatives. 

Device-Type:

Apple iOS: 10.0.0 or later (iPhone, iPad and iPod Touch)

Android: 8.0 (Oreo) or later


If you are struggling to identify the browser or device versions, get in touch. The Support Team are here to help! 

📞01635 783046
📧 support@conxtd.com

Did this answer your question?